Subject: bug#19023: 24.4; Long pause when evaluating numeric expression

From: Gareth Rees <[email-masked]>
Date: Tue, 11 Nov 2014 20:51:29 +0000

> My crystal ball says that this pause is due to Emacs trying to locate
> a font that can display a character whose codepoint is U+F4240.  In
> which case, the pause is not n Emacs, it is in system libraries that
> search the available fonts.

That was my guess too, and if I was hoping to see a character at that code point, I would have to be prepared to wait for the system to search all the fonts to find it.

But normally when I evaluate a numeric expression, I do not want to see a character—I’m just using M-: as a calculator—and so the wait is unnecessary (and a regression from 24.3).